#pragma once

#include "button.h"

class MenuDrop;

class CascadeMenuButton : public Button
{
public:
    explicit CascadeMenuButton(const std::string& text);
    virtual void input(const sf::Event& event) override final;

    void setSubmenu(const std::shared_ptr<MenuDrop>& submenu);

private:
    std::shared_ptr<MenuDrop> _submenu;
};

