#pragma once

#include "button.h"

class PushButton : public Button
{
public:
    explicit PushButton(const std::string& text);
    virtual void input(const sf::Event& event) override final;

    void setCallback(std::function<void(void)> callback);

private:
    bool _pressed;
    std::function<void(void)> _on_click_callback;
};

